Subject: RE: "stupid newbie questions" - not
From: [email-masked] (Fieldhouse, Dirk)

29 Aug 1998 06:54:41 -0700
Message-ID: <[email-masked]>
To: [email-masked]

On Wed, 26 Aug 1998 19:17:45 -0700, Stephen L Arnold
([email-masked]) wrote:

>...> [mounting on /usr]
> These directories (as such) don't exist on my machine; how can they 
> work?  Don't they have to point to the right places?  And what are 
> the right places under the cygwin directory structure?

It's a known feature that the mounted-on directory (/usr, etc) doesn't need
to be created - unlike real U**x. However IMHO this is desirable because a
c:\usr directory would just clutter up the directory structure for
non-Cygwin tools.

> About the mount command:
> 
> Can I just mount directories from any part of any DOS partition 
> wherever I want?

Pretty much.
 
> What about this answer from the FAQ?
> 
> How do I set /etc up?
> ---------------------
> 
> If you want a valid /etc set up (so "ls -l" will display correct
> user information for example) and if you are running NT (preferably
> with an NTFS file system), you should just need to create the /etc
> directory on the filesystem mounted as / and then use mkpasswd and
> mkgroup to create /etc/passwd and /etc/group respectively.  Since
> Windows 95's Win32 API is less complete, you're out of luck if 
> you're running Windows 95!
> 
> I kinda took that to mean win95 doesn't have the user/group info, 
> etc, to make an /etc dir worthless for win95.  What is /etc good 
> for under win95?

termcap, profile, to name 2.

I think the FAQ is talking about /etc as the home for (shadow) password and
group files. These aren't supported for W95.

No doubt some fiddling with user profiles could arrange different $HOMEs for
various users and so on under 95.

-- 
speaking personally
Dirk Fieldhouse                 Logica UK Limited
[email-masked]           75 Hampstead Road
c=gb;a=attmail;p=logica;        London NW1 2PL
o=lg;ou1=lgwct;s=fieldhouse     UK
+44 (171) 637 9111

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".